> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax checklist

> Returns actionable items that need user attention for tax preparation.



## OpenAPI

````yaml get /v1/businesses/{businessId}/tax-estimates/checklist
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/tax-estimates/checklist:
    get:
      tags:
        - Tax Estimates
      summary: Get tax checklist
      description: Returns actionable items that need user attention for tax preparation.
      operationId: business.tax-estimates.checklist.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business
          required: true
          schema:
            type: string
            format: uuid
        - name: year
          in: query
          description: The tax year (e.g., 2025)
          required: true
          schema:
            type: integer
            format: int32
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: Tax checklist for the specified year
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTaxChecklist'
        '404':
          description: Business not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiTaxChecklist:
      type: object
      properties:
        type:
          type: string
          description: Resource type.
          example: Tax_Checklist
        year:
          type: integer
          format: int32
          description: The tax year for this checklist.
          example: 2025
        items:
          type: array
          items:
            $ref: '#/components/schemas/TaxChecklistItem'
          description: List of actionable items requiring attention.
      description: Actionable items that need user attention for tax preparation.
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    TaxChecklistItem:
      type: object
      properties:
        type:
          type: string
          enum:
            - UNCATEGORIZED_DEDUCTIONS
            - UNCATEGORIZED_DEPOSITS
            - MISSING_PROFILE
          description: The type of checklist item.
        description:
          type: string
          description: Human-readable description of the item.
        amount:
          type: integer
          format: int64
          nullable: true
          description: Associated amount in cents, if applicable.
        count:
          type: integer
          format: int32
          nullable: true
          description: Number of items, if applicable.
        action_url:
          type: string
          nullable: true
          description: Deep link URL to resolve this item.
      description: A single actionable item in the tax checklist.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````